//
//  ShowStatisticsViewController.m
//  DNSResolverDemo
//
//  Created by 阿里 on 2021/4/15.
//

#import "ShowStatisticsViewController.h"
#import "DNSResolver.h"
@interface ShowStatisticsViewController ()
@property (nonatomic,strong)UITextView *resultTextView;
@end

@implementation ShowStatisticsViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.title = @"统计信息";
    [self creatUI];
    NSArray *array = [[DNSResolver share] getRequestReportInfo];
    NSString *statisticsString = [self arrayToJSONString:array];
    self.resultTextView.text = statisticsString;
}

-(void)creatUI{
    self.resultTextView = [[UITextView alloc]initWithFrame:CGRectMake(0, 200, [UIScreen mainScreen].bounds.size.width, 200)];
    self.resultTextView.backgroundColor = [UIColor lightGrayColor];
    [self.view addSubview:self.resultTextView];
}

- (NSString *)arrayToJSONString:(NSArray *)array
 
 {
    NSError *error = nil;
    NSData *jsonData = [NSJSONSerialization dataWithJSONObject:array options:NSJSONWritingPrettyPrinted error:&error];
    NSString *jsonString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
    return jsonString;
}
@end
