//
//  ViewController.m
//  DNSResolverDemo
//

#import "ViewController.h"
#import "SNIViewController.h"
#import "CommonViewController.h"
#import "ShowStatisticsViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
}

- (IBAction)SNIBtnClick:(id)sender {
//    本示例用于演示HTTPS SNI场景下的处理方式。
    SNIViewController *SNIVC = [[SNIViewController alloc]init];
    [self.navigationController pushViewController:SNIVC animated:YES];
}

- (IBAction)test:(id)sender {
//    本示例用于演示普通场景下的处理方式。
    CommonViewController *commonVC = [[CommonViewController alloc]init];
    [self.navigationController pushViewController:commonVC animated:YES];
}
- (IBAction)requestReportInfoClick:(id)sender {
//    用于显示统计信息
    ShowStatisticsViewController *showStatisticsVC = [[ShowStatisticsViewController alloc]init];
    [self.navigationController pushViewController:showStatisticsVC animated:YES];
}

@end
